Maps - Create Or Update

統合アカウント マップを作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/maps/{mapName}?api-version=2016-06-01

URI パラメーター

名前 / 必須 型 説明
integrationAccountName
path True

string

統合アカウント名。

mapName
path True

string

統合アカウントのマップ名。

resourceGroupName
path True

string

リソース グループ名。

subscriptionId
path True

string

サブスクリプション ID。

api-version
query True

string

API のバージョン。

要求本文

名前 必須 型 説明
properties.mapType True

MapType

マップの種類。

location

string

リソースの場所。

properties.content

Content

コンテンツ。

properties.contentType

string

コンテンツ タイプ。

properties.metadata

Metadata

メタデータ。

properties.parametersSchema

ParametersSchema

統合アカウント マップのパラメーター スキーマ。

tags

object

リソース タグ。

応答

名前 型 説明
200 OK

IntegrationAccountMap

わかりました

201 Created

IntegrationAccountMap

作成

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

Create or update a map

要求のサンプル

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/maps/testMap?api-version=2016-06-01

{
  "properties": {
    "mapType": "Xslt",
    "content": "<?xml version=\"1.0\" encoding=\"UTF-16\"?>\r\n<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\" xmlns:var=\"http://schemas.microsoft.com/BizTalk/2003/var\" exclude-result-prefixes=\"msxsl var s0 userCSharp\" version=\"1.0\" xmlns:ns0=\"http://BizTalk_Server_Project4.StringFunctoidsDestinationSchema\" xmlns:s0=\"http://BizTalk_Server_Project4.StringFunctoidsSourceSchema\" xmlns:userCSharp=\"http://schemas.microsoft.com/BizTalk/2003/userCSharp\">\r\n  <xsl:import href=\"http://btsfunctoids.blob.core.windows.net/functoids/functoids.xslt\" />\r\n  <xsl:output omit-xml-declaration=\"yes\" method=\"xml\" version=\"1.0\" />\r\n  <xsl:template match=\"/\">\r\n    <xsl:apply-templates select=\"/s0:Root\" />\r\n  </xsl:template>\r\n  <xsl:template match=\"/s0:Root\">\r\n    <xsl:variable name=\"var:v1\" select=\"userCSharp:StringFind(string(StringFindSource/text()) , &quot;SearchString&quot;)\" />\r\n    <xsl:variable name=\"var:v2\" select=\"userCSharp:StringLeft(string(StringLeftSource/text()) , &quot;2&quot;)\" />\r\n    <xsl:variable name=\"var:v3\" select=\"userCSharp:StringRight(string(StringRightSource/text()) , &quot;2&quot;)\" />\r\n    <xsl:variable name=\"var:v4\" select=\"userCSharp:StringUpperCase(string(UppercaseSource/text()))\" />\r\n    <xsl:variable name=\"var:v5\" select=\"userCSharp:StringLowerCase(string(LowercaseSource/text()))\" />\r\n    <xsl:variable name=\"var:v6\" select=\"userCSharp:StringSize(string(SizeSource/text()))\" />\r\n    <xsl:variable name=\"var:v7\" select=\"userCSharp:StringSubstring(string(StringExtractSource/text()) , &quot;0&quot; , &quot;2&quot;)\" />\r\n    <xsl:variable name=\"var:v8\" select=\"userCSharp:StringConcat(string(StringConcatSource/text()))\" />\r\n    <xsl:variable name=\"var:v9\" select=\"userCSharp:StringTrimLeft(string(StringLeftTrimSource/text()))\" />\r\n    <xsl:variable name=\"var:v10\" select=\"userCSharp:StringTrimRight(string(StringRightTrimSource/text()))\" />\r\n    <ns0:Root>\r\n      <StringFindDestination>\r\n        <xsl:value-of select=\"$var:v1\" />\r\n      </StringFindDestination>\r\n      <StringLeftDestination>\r\n        <xsl:value-of select=\"$var:v2\" />\r\n      </StringLeftDestination>\r\n      <StringRightDestination>\r\n        <xsl:value-of select=\"$var:v3\" />\r\n      </StringRightDestination>\r\n      <UppercaseDestination>\r\n        <xsl:value-of select=\"$var:v4\" />\r\n      </UppercaseDestination>\r\n      <LowercaseDestination>\r\n        <xsl:value-of select=\"$var:v5\" />\r\n      </LowercaseDestination>\r\n      <SizeDestination>\r\n        <xsl:value-of select=\"$var:v6\" />\r\n      </SizeDestination>\r\n      <StringExtractDestination>\r\n        <xsl:value-of select=\"$var:v7\" />\r\n      </StringExtractDestination>\r\n      <StringConcatDestination>\r\n        <xsl:value-of select=\"$var:v8\" />\r\n      </StringConcatDestination>\r\n      <StringLeftTrimDestination>\r\n        <xsl:value-of select=\"$var:v9\" />\r\n      </StringLeftTrimDestination>\r\n      <StringRightTrimDestination>\r\n        <xsl:value-of select=\"$var:v10\" />\r\n      </StringRightTrimDestination>\r\n    </ns0:Root>\r\n  </xsl:template>\r\n</xsl:stylesheet>",
    "contentType": "application/xml",
    "metadata": {}
  },
  "location": "westus"
}

応答のサンプル

{
  "properties": {
    "mapType": "Xslt",
    "contentLink": {
      "uri": "<Uri>",
      "contentVersion": "\"0x8D464C057F22E5F\"",
      "contentSize": 3056,
      "contentHash": {
        "algorithm": "md5",
        "value": "A2avz/M0ov2FPI3+Je8vDw=="
      }
    },
    "createdTime": "2017-03-06T18:41:03.7366103Z",
    "changedTime": "2017-03-06T18:41:04.4088605Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/<resourceGroup>/providers/Microsoft.Logic/integrationAccounts/<IntegrationAccount>/maps/testMap",
  "name": "IntegrationAccountMap291",
  "type": "Microsoft.Logic/integrationAccounts/maps"
}
{
  "properties": {
    "mapType": "Xslt",
    "contentLink": {
      "uri": "<Uri>",
      "contentVersion": "\"0x8D464C057F22E5F\"",
      "contentSize": 3056,
      "contentHash": {
        "algorithm": "md5",
        "value": "A2avz/M0ov2FPI3+Je8vDw=="
      }
    },
    "createdTime": "2017-03-06T18:41:03.7366103Z",
    "changedTime": "2017-03-06T18:41:04.4088605Z",
    "metadata": {}
  },
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/<resourceGroup>/providers/Microsoft.Logic/integrationAccounts/<IntegrationAccount>/maps/testMap",
  "name": "IntegrationAccountMap291",
  "type": "Microsoft.Logic/integrationAccounts/maps"
}

定義

名前 説明
Content

コンテンツ。

ContentHash

コンテンツ ハッシュ。

ContentLink

コンテンツ リンク。

IntegrationAccountMap

統合アカウント マップ。

MapType
Metadata

メタデータ。

Object
ParametersSchema

統合アカウント マップのパラメーター スキーマ。

Content

コンテンツ。

ContentHash

コンテンツ ハッシュ。

名前 型 説明
algorithm

string

コンテンツ ハッシュのアルゴリズム。

value

string

コンテンツ ハッシュの値。

コンテンツ リンク。

名前 型 説明
contentHash

ContentHash

コンテンツ ハッシュ。

contentSize

integer (int64)

コンテンツ サイズ。

contentVersion

string

コンテンツのバージョン。

metadata

Object

メタデータ。

uri

string

コンテンツ リンク URI。

IntegrationAccountMap

統合アカウント マップ。

名前 型 説明
id

string

リソース ID。

location

string

リソースの場所。

name

string

リソース名を取得します。

properties.changedTime

string (date-time)

変更された時刻。

properties.content

Content

コンテンツ。

properties.contentLink

ContentLink

コンテンツ リンク。

properties.contentType

string

コンテンツ タイプ。

properties.createdTime

string (date-time)

作成された時刻。

properties.mapType

MapType

マップの種類。

properties.metadata

Metadata

メタデータ。

properties.parametersSchema

ParametersSchema

統合アカウント マップのパラメーター スキーマ。

tags

object

リソース タグ。

type

string

リソースの種類を取得します。

MapType

値 説明
NotSpecified
Xslt

Metadata

メタデータ。

Object

ParametersSchema

統合アカウント マップのパラメーター スキーマ。

名前 型 説明
ref

string

参照名。